[USRP-users] USRP PPA for Ubuntu 19.10

Sam Reiter sam.reiter at ettus.com
Tue Jan 14 12:57:30 EST 2020


 Can you be more explicit about your issues building from source? The
kernel panic you mentioned was on the E320 itself, and the image on the
E320 fs doesn't have anything to do with UHD on your host (unless you
compile it yourself).

I'll let someone else comment on the PPA - it's not something I maintain or
frequently work with.

Sam

On Mon, Jan 6, 2020 at 7:15 AM Subu Rama via USRP-users <
usrp-users at lists.ettus.com> wrote:

> As an additional point, I do see uhd-3.15.0.0-0ubuntu1-eoan1 published on
> 2020-01-01 at
> https://launchpad.net/~ettusresearch/+archive/ubuntu/uhd/+packages
>
> Even when I add a file called ettusresearch.list to /etc/apt/sources.list
> with the following contents: (to circumvent apt-secure)
> deb [allow-insecure=yes]
> http://ppa.launchpad.net/~ettusresearch/+archive/ubuntu/uhd eoan main
>
> I get the same error  when running apt update
>
> W: The repository '
> http://ppa.launchpad.net/~ettusresearch/+archive/ubuntu/uhd eoan Release'
> does not have a Release file.
> N: Data from such a repository can't be authenticated and is therefore
> potentially dangerous to use.
> N: See apt-secure(8) manpage for repository creation and user
> configuration details.
> E: The repository '
> https://launchpad.net/~ettusresearch/+archive/ubuntu/uhd eoan Release'
> does not have a Release file.
> N: Updating from such a repository can't be done securely, and is
> therefore disabled by default.
> N: See apt-secure(8) manpage for repository creation and user
> configuration details.
>
> I am not sure if it's a problem with configuring apt on my end or on the
> launchpad end.
>
> Should I just download the package (.deb) files themselves and not worry
> about adding an apt repo?
>
> Thank you
> Subu
>
>
>
> On Mon, Jan 6, 2020 at 12:52 PM Subu Rama <subu.rama at gmail.com> wrote:
>
>> I am running Ubuntu 19.10 and am having issues with UHD built from git
>> source. v3.15.0.0
>> I have already posted a few messages regarding these issues (kernel panic
>> etc.)
>>
>> So I thought I would get the debian package from NI's Ubuntu repo.
>>
>> When I do:
>> ramasu at srz4:~/QRC3Git/qrc3/Notes/Misc$ sudo apt-add-repository
>> https://launchpad.net/~ettusresearch/+archive/ubuntu/uhd
>> ....
>> I get:
>>
>> Ign:24 https://launchpad.net/~ettusresearch/+archive/ubuntu/uhd eoan
>> InRelease
>> Err:25 https://launchpad.net/~ettusresearch/+archive/ubuntu/uhd eoan
>> Release
>>   404  Not Found [IP: 91.189.89.222 443]
>> Reading package lists... Done
>> E: The repository '
>> https://launchpad.net/~ettusresearch/+archive/ubuntu/uhd eoan Release'
>> does not have a Release file.
>> N: Updating from such a repository can't be done securely, and is
>> therefore disabled by default.
>>
>> How do I go about resolving this issue?
>>
>> Thank you
>> Subu
>>
>>
>> _______________________________________________
> USRP-users mailing list
> USRP-users at lists.ettus.com
> http://lists.ettus.com/mailman/listinfo/usrp-users_lists.ettus.com
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.ettus.com/pipermail/usrp-users_lists.ettus.com/attachments/20200114/1986e83b/attachment.html>


More information about the USRP-users mailing list